import path_setting
from in_common.base_request import BaseRequest


class user_request(BaseRequest):

    def __init__(self):
        self.data = self.api_load(path_setting.PERSONAL_CENTER_CONFIG)

    def personal_center(self):

        return self.api_send(self.data["personal_center"])




    def __init__(self):
        self.data = self.api_load(path_setting.USER_ANSWER_CONFIG)

    #医院主页问答列表
    def answer(self, user):
        self.params["user"] = user
        return self.api_send(self.data["answer"])
    #日记贴相关部分配置
    def __init__(self):
        self.data = self.api_load(path_setting.TOPIC_FAVOR_CONFIG)

    #日记贴帖子相关-收藏
    def topic_favor(self):
        return self.api_send(self.data["favor"])
    #日记贴取消收藏
    def topic_canclefavor(self):
        return self.api_send(self.data["canclefavor"])



if __name__ == '__main__':
    #个人中心
    print(user_request().personal_center())


    #打印医生/医院主页问答列表接口返回
    print(user_request().answer("21476198"))

    # 日记贴收藏&取消收藏
    # print(user_request().topic_favor())
    # print(user_request().topic_canclefavor())



